classification
Title: Typo in ctypes documentation
Type: Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, matrixise, rrt, sehnsucht13, xtreak
Priority: normal Keywords: easy, patch

Created on 2019-05-05 06:09 by rrt, last changed 2019-05-22 08:07 by matrixise. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13104 merged sehnsucht13, 2019-05-06 03:49
PR 13341 merged matrixise, 2019-05-15 15:36
Messages (8)
msg341419 - (view) Author: Reuben Thomas (rrt) Date: 2019-05-05 06:09
"It is possible to defined" → "It is possible to define"
msg341439 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2019-05-05 13:07
Reuben, would you like to make a PR for this change? The change needs to be done in https://github.com/python/cpython/blob/master/Doc/library/ctypes.rst

➜  cpython git:(master) ✗ rg 'It is possible to defined'
Doc/library/ctypes.rst
2379:      It is possible to defined sub-subclasses of structure types, they inherit
2427:   It is possible to defined sub-subclasses of structures, they inherit the
msg341440 - (view) Author: Reuben Thomas (rrt) Date: 2019-05-05 13:08
No, as I'm not an active Python contributor, do not aspire to be one, and don't really want to have to learn yet another contribution system to a major project just to fix a trivial typo. Sorry!
msg341441 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2019-05-05 13:11
No problem, I have tagged it as easy and hope someone makes GitHub PR for the same.

Thank you for the report.
msg341484 - (view) Author: (sehnsucht13) * Date: 2019-05-06 04:06
I have made a PR for this. The only delay is that my CLA needs to be approved.
msg342576 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-05-15 15:02
New changeset 133fc89ca02b51b8d5b87556d94f1382c4ed72c1 by Stéphane Wirtel (Yavor Konstantinov) in branch 'master':
bpo-36799: Fix typo in ctypes.rst (GH-13104)
https://github.com/python/cpython/commit/133fc89ca02b51b8d5b87556d94f1382c4ed72c1
msg342577 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-05-15 15:17
If I have no news from miss-islington about the backport of this PR, I will do it manually.
msg342580 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-05-15 15:53
New changeset 4fd7f56ee78a07ebadf034affc2e36db14c85c00 by Stéphane Wirtel in branch '3.7':
[3.7] bpo-36799: Fix typo in ctypes.rst (GH-13104) (GH-13341)
https://github.com/python/cpython/commit/4fd7f56ee78a07ebadf034affc2e36db14c85c00
History
Date User Action Args
2019-05-22 08:07:08matrixisesetpull_requests: - pull_request13400
2019-05-22 06:45:59Paul Monsonsetpull_requests: + pull_request13400
2019-05-22 06:45:37matrixisesetpull_requests: - pull_request13393
2019-05-22 01:32:31Paul Monsonsetpull_requests: + pull_request13393
2019-05-17 06:32:12matrixisesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-15 15:53:31matrixisesetmessages: + msg342580
2019-05-15 15:36:47matrixisesetpull_requests: + pull_request13253
2019-05-15 15:17:57matrixisesetmessages: + msg342577
2019-05-15 15:02:30matrixisesetnosy: + matrixise
messages: + msg342576
2019-05-06 04:06:23sehnsucht13setnosy: + sehnsucht13
messages: + msg341484
2019-05-06 03:49:48sehnsucht13setkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request13016
2019-05-05 13:11:11xtreaksetmessages: + msg341441
2019-05-05 13:08:57rrtsetmessages: + msg341440
2019-05-05 13:07:02xtreaksetnosy: + xtreak
messages: + msg341439

keywords: + easy
stage: needs patch
2019-05-05 06:09:02rrtcreate